in Linux pip Python Scrapy Ubuntu ~ read.

Fix Error When Installing Scrapy on Ubuntu 14.04

Introduction

Scrapy is an application framework for crawling web sites and extracting structured data which can be used for a wide range of useful applications, like data mining, information processing or historical archival. But when you normally install Scrapy on Ubuntu 14.04, you can see error and cannot completed installing.  In this article, I will show Fix error and how to install scrapy on Ubuntu 14.04.

Installing

If you install it normally, you can see error :

sudo pip install scrapy => error: command 'x86_64-linux-gnu-gcc' failed with exit status 1  

Or any other errors is the same as it. To fix it, before install scrapy, you will need to install some packages in Ubuntu 14.04:

sudo apt-get install build-essential libssl-dev libffi-dev python-dev libxml2-dev libxslt1-dev  

After installing these packages, it worked and you can install scrapy successful.

sudo pip install scrapy  

Thank you very much!!!

comments powered by Disqus